import Header from './Header'
import Meta from './Meta'
import Footer from './Footer'
import GlobalStyle from '../../styles/global'
import { useContext } from 'react'
import { UserContext } from '../../user/hooks'
import { LoginForm } from '../../user'

const Page = (props: any) => {
  const user = useContext(UserContext)
  console.log(user)
  return (
    <>
      <Meta />

      <Header />
      <main>{user.user ? props.children : <LoginForm />}</main>
      <Footer />

      <style jsx global>
        {GlobalStyle}
      </style>
    </>
  )
}

export default Page
